#include <iostream>
using namespace std;
long long resiproblem(int a,int b, int broj)
{
    if(a==-1)
    {
        broj=broj*10 + b%10;
        return broj;
    }
    if(b==-1)
    {
        broj=broj*10 + a%10;
        return broj;
    }
        if(a%10 == b%10)
        {
            broj=broj*100 + (a%10)*10 + (b%10);
        }
        if(a%10>b%10)
        {
            broj=broj*10 + a%10;
        }
        if(b%10>a%10)
        {
            broj=broj*10 + b%10;
        }
        return broj;
}
long long revers(long long a)
{
    long long broj=0;
    while (a>0)
    {
       broj=broj*10 + a%10;
       a=a/10;
    }
    return broj;
}
int main()
{
    int x,y;
    long long n=0;
    cin>>x>>y;
    while (x>0 || y>0)
    {
        if (x==0)
            x= -1;
        if (y==0)
            y= -1;
        n=resiproblem(x,y,n);
        x=x/10;
        y=y/10;

    }
    cout<<revers(n);
}